Commit 0350ebfd authored by Anton Bodner's avatar Anton Bodner

Update to latest from build 10.3.0.0.58 (FF 10.3.0.0.53)

Early release
parent 25636a4f
This diff is collapsed.
......@@ -38,7 +38,7 @@ use strict;
# ==========================================================================
# Fast Fabric installation
my $FF_CONF_FILE = "/opt/opa/tools/opafastfabric.conf";
my $FF_CONF_FILE = "/usr/lib/opa/tools/opafastfabric.conf";
my $FF_TLS_CONF_FILE = "/etc/sysconfig/opa/opaff.xml";
sub available_fastfabric
{
......@@ -118,20 +118,20 @@ sub install_fastfabric
LogPrint "Installing $ComponentInfo{'fastfabric'}{'Name'} $version $DBG_FREE for $CUR_DISTRO_VENDOR $CUR_VENDOR_VER\n";
check_config_dirs();
if ( -e "$srcdir/comp.pl" ) {
check_dir("/opt/opa");
copy_systool_file("$srcdir/comp.pl", "/opt/opa/.comp_fastfabric.pl");
check_dir("/usr/lib/opa");
copy_systool_file("$srcdir/comp.pl", "/usr/lib/opa/.comp_fastfabric.pl");
}
my $rpmfile = rpm_resolve("$srcdir/RPMS/*/", "any", "opa-fastfabric");
rpm_run_install($rpmfile, "any", " -U ");
check_dir("/opt/opa/tools");
check_dir("/opt/opa/samples");
system "chmod ug+x $ROOT/opt/opa/samples/hostverify.sh";
system "rm -f $ROOT/opt/opa/samples/nodeverify.sh";
check_dir("/usr/lib/opa/tools");
check_dir("/usr/lib/opa/samples");
system "chmod ug+x $ROOT/usr/lib/opa/samples/hostverify.sh";
system "rm -f $ROOT/usr/lib/opa/samples/nodeverify.sh";
check_rpm_config_file("$FF_TLS_CONF_FILE");
printf("Default opaff.xml can be found in '/opt/opa/samples/opaff.xml-sample'\n");
printf("Default opaff.xml can be found in '/usr/lib/opa/samples/opaff.xml-sample'\n");
check_rpm_config_file("$CONFIG_DIR/opa/opamon.conf");
check_rpm_config_file("$CONFIG_DIR/opa/opafastfabric.conf");
check_rpm_config_file("$CONFIG_DIR/opa/allhosts");
......@@ -139,7 +139,7 @@ sub install_fastfabric
check_rpm_config_file("$CONFIG_DIR/opa/hosts");
check_rpm_config_file("$CONFIG_DIR/opa/ports");
check_rpm_config_file("$CONFIG_DIR/opa/switches");
check_rpm_config_file("/opt/opa/tools/osid_wrapper");
check_rpm_config_file("/usr/lib/opa/tools/osid_wrapper");
#install_conf_file("$ComponentInfo{'fastfabric'}{'Name'}", "$FF_TLS_CONF_FILE", "$srcdir/fastfabric/tools/tls");
#remove_conf_file("$ComponentInfo{'fastfabric'}{'Name'}", "$OPA_CONFIG_DIR/iba_stat.conf");
......@@ -179,11 +179,11 @@ sub uninstall_fastfabric
# remove samples we installed (or user compiled), however do not remove
# any logs or other files the user may have created
remove_installed_files "/opt/opa/samples";
system "rmdir $ROOT/opt/opa/samples 2>/dev/null"; # remove only if empty
remove_installed_files "/usr/lib/opa/samples";
system "rmdir $ROOT/usr/lib/opa/samples 2>/dev/null"; # remove only if empty
system("rm -rf $ROOT/opt/opa/.comp_fastfabric.pl");
system "rmdir $ROOT/opt/opa 2>/dev/null"; # remove only if empty
system("rm -rf $ROOT/usr/lib/opa/.comp_fastfabric.pl");
system "rmdir $ROOT/usr/lib/opa 2>/dev/null"; # remove only if empty
system "rmdir $ROOT$BASE_DIR 2>/dev/null"; # remove only if empty
system "rmdir $ROOT$OPA_CONFIG_DIR 2>/dev/null"; # remove only if empty
$ComponentWasInstalled{'fastfabric'}=0;
......
......@@ -116,12 +116,12 @@ sub install_ibdev
# remove samples installed in old location
remove_installed_files "/usr/local/src/iba_samples";
# Copy all ib sample applications
check_dir("/opt/opa/src");
check_dir("/opt/opa/src/iba_samples");
copy_all_data_files("$srcdir/iba_samples", "/opt/opa/src/iba_samples");
system "cd $ROOT/opt/opa/src/iba_samples; find . -type d| while read dir; do mv \$dir/Makefile.sample \$dir/Makefile 2>/dev/null; done 2>/dev/null";
system "cd $srcdir/iba_samples; find . | sed -e 's/Makefile.sample/Makefile/' > $ROOT/opt/opa/src/iba_samples/.files 2>/dev/null";
system "cd $srcdir/iba_samples; find * -maxdepth 1 -type d > $ROOT/opt/opa/src/iba_samples/.dirs 2>/dev/null";
check_dir("/usr/lib/opa/src");
check_dir("/usr/lib/opa/src/iba_samples");
copy_all_data_files("$srcdir/iba_samples", "/usr/lib/opa/src/iba_samples");
system "cd $ROOT/usr/lib/opa/src/iba_samples; find . -type d| while read dir; do mv \$dir/Makefile.sample \$dir/Makefile 2>/dev/null; done 2>/dev/null";
system "cd $srcdir/iba_samples; find . | sed -e 's/Makefile.sample/Makefile/' > $ROOT/usr/lib/opa/src/iba_samples/.files 2>/dev/null";
system "cd $srcdir/iba_samples; find * -maxdepth 1 -type d > $ROOT/usr/lib/opa/src/iba_samples/.dirs 2>/dev/null";
$ComponentWasInstalled{'ibdev'}=1;
}
......@@ -148,9 +148,9 @@ sub uninstall_ibdev
system "rm -rf $ROOT/usr/include/ipoib_export.h";
# remove iba_samples we installed or user compiled, however do not remove
# any logs or other files the user may have created
remove_installed_files "/opt/opa/src/iba_samples";
system "rmdir $ROOT/opt/opa/src 2>/dev/null";
system "rmdir $ROOT/opt/opa 2>/dev/null";
remove_installed_files "/usr/lib/opa/src/iba_samples";
system "rmdir $ROOT/usr/lib/opa/src 2>/dev/null";
system "rmdir $ROOT/usr/lib/opa 2>/dev/null";
remove_installed_files "/usr/local/src/iba_samples";
$ComponentWasInstalled{'ibdev'}=0;
}
......
......@@ -2631,9 +2631,9 @@ sub install_opa_stack($$)
# Check $BASE_DIR directory ...exist
check_config_dirs();
check_dir("/opt/opa");
check_dir("/usr/lib/opa");
copy_systool_file("$srcdir/comp.pl", "/opt/opa/.comp_ofed.pl");
copy_systool_file("$srcdir/comp.pl", "/usr/lib/opa/.comp_ofed.pl");
install_ofed_comp('opa_stack', $install_list);
......@@ -2732,8 +2732,8 @@ sub uninstall_opa_stack($$)
remove_udev_permissions;
system("rm -rf $ROOT$BASE_DIR/version_ofed");
system("rm -rf $ROOT/opt/opa/.comp_ofed.pl");
system "rmdir $ROOT/opt/opa 2>/dev/null"; # remove only if empty
system("rm -rf $ROOT/usr/lib/opa/.comp_ofed.pl");
system "rmdir $ROOT/usr/lib/opa 2>/dev/null"; # remove only if empty
system "rmdir $ROOT$BASE_DIR 2>/dev/null"; # remove only if empty
system "rmdir $ROOT$OPA_CONFIG_DIR 2>/dev/null"; # remove only if empty
if (0 != uninstall_old_stacks(0)) {
......@@ -3995,9 +3995,9 @@ sub available_ofed_mpisrc()
sub installed_ofed_mpisrc()
{
return ((-e "$ROOT$BASE_DIR/version_ofed"
&& file_glob("$ROOT/opt/opa/src/MPI/mvapich*.src.rpm") ne ""
&& file_glob("$ROOT/opt/opa/src/MPI/openmpi*.src.rpm") ne ""
&& file_glob("$ROOT/opt/opa/src/MPI/mpitests*.src.rpm") ne ""));
&& file_glob("$ROOT/usr/lib/opa/src/MPI/mvapich*.src.rpm") ne ""
&& file_glob("$ROOT/usr/lib/opa/src/MPI/openmpi*.src.rpm") ne ""
&& file_glob("$ROOT/usr/lib/opa/src/MPI/mpitests*.src.rpm") ne ""));
}
# only called if installed_ofed_mpisrc is true
......@@ -4054,29 +4054,29 @@ sub install_ofed_mpisrc($$)
print_install_banner_ofed_comp('ofed_mpisrc');
install_ofed_comp('ofed_mpisrc', $install_list);
check_dir("/opt/opa/src");
check_dir("/opt/opa/src/MPI");
check_dir("/usr/lib/opa/src");
check_dir("/usr/lib/opa/src/MPI");
# remove old versions (.src.rpm and built .rpm files too)
system "rm -rf $ROOT/opt/opa/src/MPI/mvapich[-_]*.rpm 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/mvapich2[-_]*.rpm 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/openmpi[-_]*.rpm 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/mpitests[-_]*.rpm 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/make.*.res 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/make.*.err 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/make.*.warn 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/.mpiinfo 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/mvapich[-_]*.rpm 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/mvapich2[-_]*.rpm 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/openmpi[-_]*.rpm 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/mpitests[-_]*.rpm 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/make.*.res 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/make.*.err 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/make.*.warn 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/.mpiinfo 2>/dev/null";
# install new versions
foreach my $srpm ( "mvapich2", "openmpi", "mpitests" ) {
my $srpmfile = file_glob("$srcdir/$SRPMS_SUBDIR/${srpm}-*.src.rpm");
if ( "$srpmfile" ne "" ) {
my $file = my_basename($srpmfile);
copy_data_file($srpmfile, "/opt/opa/src/MPI/$file");
copy_data_file($srpmfile, "/usr/lib/opa/src/MPI/$file");
}
}
copy_systool_file("$srcdir/do_build", "/opt/opa/src/MPI/do_build");
copy_systool_file("$srcdir/do_mvapich2_build", "/opt/opa/src/MPI/do_mvapich2_build");
copy_systool_file("$srcdir/do_openmpi_build", "/opt/opa/src/MPI/do_openmpi_build");
copy_systool_file("$srcdir/do_build", "/usr/lib/opa/src/MPI/do_build");
copy_systool_file("$srcdir/do_mvapich2_build", "/usr/lib/opa/src/MPI/do_mvapich2_build");
copy_systool_file("$srcdir/do_openmpi_build", "/usr/lib/opa/src/MPI/do_openmpi_build");
$ComponentWasInstalled{'ofed_mpisrc'}=1;
}
......@@ -4096,21 +4096,21 @@ sub uninstall_ofed_mpisrc($$)
print_uninstall_banner_ofed_comp('ofed_mpisrc');
# remove old versions (.src.rpm and built .rpm files too)
system "rm -rf $ROOT/opt/opa/src/MPI/mvapich2[-_]*.rpm 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/openmpi[-_]*.rpm 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/mpitests[-_]*.rpm 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/make.*.res 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/make.*.err 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/make.*.warn 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/.mpiinfo 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/do_build 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/do_mvapich2_build 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/do_openmpi_build 2>/dev/null";
system "rm -rf $ROOT/opt/opa/src/MPI/.mpiinfo 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/mvapich2[-_]*.rpm 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/openmpi[-_]*.rpm 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/mpitests[-_]*.rpm 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/make.*.res 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/make.*.err 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/make.*.warn 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/.mpiinfo 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/do_build 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/do_mvapich2_build 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/do_openmpi_build 2>/dev/null";
system "rm -rf $ROOT/usr/lib/opa/src/MPI/.mpiinfo 2>/dev/null";
uninstall_ofed_comp('ofed_mpisrc', $install_list, $uninstalling_list, 'verbose');
system "rmdir $ROOT/opt/opa/src/MPI 2>/dev/null"; # remove only if empty
system "rmdir $ROOT/opt/opa/src 2>/dev/null"; # remove only if empty
system "rmdir $ROOT/usr/lib/opa/src/MPI 2>/dev/null"; # remove only if empty
system "rmdir $ROOT/usr/lib/opa/src 2>/dev/null"; # remove only if empty
$ComponentWasInstalled{'ofed_mpisrc'}=0;
}
......
......@@ -117,11 +117,11 @@ sub install_oftools
check_config_dirs();
if ( -e "$srcdir/comp.pl" ) {
check_dir("/opt/opa");
copy_systool_file("$srcdir/comp.pl", "/opt/opa/.comp_oftools.pl");
check_dir("/usr/lib/opa");
copy_systool_file("$srcdir/comp.pl", "/usr/lib/opa/.comp_oftools.pl");
}
check_dir("/opt/opa/tools");
check_dir("/opt/opa/samples");
check_dir("/usr/lib/opa/tools");
check_dir("/usr/lib/opa/samples");
my $rpmfile = rpm_resolve("$srcdir/RPMS/*/", "any", "opa-basic-tools");
rpm_run_install($rpmfile, "any", " -U ");
......@@ -156,21 +156,21 @@ sub uninstall_oftools
rpm_uninstall_list("any", "verbose", ("opa-basic-tools", "opa-address-resolution") );
# remove LSF and Moab related files
system("rm -rf $ROOT/opt/opa/LSF_scripts");
system("rm -rf $ROOT/opt/opa/Moab_scripts");
system("rm -rf $ROOT/usr/lib/opa/LSF_scripts");
system("rm -rf $ROOT/usr/lib/opa/Moab_scripts");
# may be created by opaverifyhosts
system("rm -rf $ROOT/opt/opa/tools/nodescript.sh");
system("rm -rf $ROOT/opt/opa/tools/nodeverify.sh");
system("rm -rf $ROOT/usr/lib/opa/tools/nodescript.sh");
system("rm -rf $ROOT/usr/lib/opa/tools/nodeverify.sh");
system "rmdir $ROOT/opt/opa/tools 2>/dev/null"; # remove only if empty
system "rmdir $ROOT/usr/lib/opa/tools 2>/dev/null"; # remove only if empty
# oftools is a prereq of fastfabric can cleanup shared files here
system("rm -rf $ROOT$BASE_DIR/version_ff");
system "rmdir $ROOT$BASE_DIR 2>/dev/null"; # remove only if empty
system "rmdir $ROOT$OPA_CONFIG_DIR 2>/dev/null"; # remove only if empty
system("rm -rf $ROOT/opt/opa/.comp_oftools.pl");
system "rmdir $ROOT/opt/opa 2>/dev/null"; # remove only if empty
system("rm -rf $ROOT/usr/lib/opa/.comp_oftools.pl");
system "rmdir $ROOT/usr/lib/opa 2>/dev/null"; # remove only if empty
$ComponentWasInstalled{'oftools'}=0;
}
......@@ -75,7 +75,7 @@ sub install_generic_mpi
# rpm_install("$srcdir/OtherMPIs", "user", "$mpifullname");
#}
check_dir ("/opt/iba");
copy_systool_file ("$srcdir/comp.pl", "/opt/opa/.comp_$mpifullname.pl");
copy_systool_file ("$srcdir/comp.pl", "/usr/lib/opa/.comp_$mpifullname.pl");
$ComponentWasInstalled{$mpifullname} = 1;
}
......@@ -86,7 +86,7 @@ sub installed_generic_mpi
my $compiler = $_[1];
my $mpifullname = "$mpiname"."_$compiler"."_hfi";
return ( -e "$ROOT/opt/opa/.comp_$mpifullname.pl"
return ( -e "$ROOT/usr/lib/opa/.comp_$mpifullname.pl"
|| rpm_is_installed ($mpifullname, "user") );
}
......@@ -126,8 +126,8 @@ sub uninstall_generic_mpi
}
}
system ("rm -rf $ROOT/opt/opa/.comp_$mpifullname.pl");
system ("rmdir $ROOT/opt/opa 2>/dev/null"); # remove only if empty
system ("rm -rf $ROOT/usr/lib/opa/.comp_$mpifullname.pl");
system ("rmdir $ROOT/usr/lib/opa 2>/dev/null"); # remove only if empty
$ComponentWasInstalled{$mpifullname} = 0;
}
......
......@@ -61,7 +61,7 @@ sub disable_autostart2_opafm()
sub start_opafm
{
start_utility($ComponentInfo{'opafm'}{'Name'}, "/opt/opafm/runtime", "sm", "opafm");
start_utility($ComponentInfo{'opafm'}{'Name'}, "/usr/lib/opa-fm/runtime", "sm", "opafm");
}
sub stop_opafm
......@@ -158,8 +158,8 @@ sub install_opafm
}
check_rpm_config_file("$CONFIG_DIR/opafm.xml");
check_dir("/opt/opa");
copy_systool_file("$srcdir/comp.pl", "/opt/opa/.comp_opafm.pl");
check_dir("/usr/lib/opa");
copy_systool_file("$srcdir/comp.pl", "/usr/lib/opa/.comp_opafm.pl");
if ($fm_start) {
enable_autostart("opafm");
......@@ -185,9 +185,9 @@ sub uninstall_opafm
NormalPrint("Uninstalling $ComponentInfo{'opafm'}{'Name'}...\n");
rpm_uninstall_list("any", "verbose", ( "opa-fm", "opa-fm-debuginfo") );
system("rm -rf $ROOT/opt/opa/.comp_opafm.pl");
system("rm -rf $ROOT/usr/lib/opa/.comp_opafm.pl");
system("rmdir -p $ROOT/opt/iba/fm_tools 2>/dev/null"); # remove only if empty
system("rm -rf $ROOT/opt/opafm");
system("rm -rf $ROOT/usr/lib/opa-fm");
$ComponentWasInstalled{'opafm'}=0;
}
......@@ -61,7 +61,7 @@ Usage()
echo " Default is '/'" >&2
echo "" >&2
echo "The RPMs built during this process will be installed on this system" >&2
echo "they can also be found in /opt/opa/src/MPI" >&2
echo "they can also be found in /usr/lib/opa/src/MPI" >&2
exit 2
}
......@@ -85,10 +85,10 @@ then
echo "You must be 'root' to run this program" >&2
exit 1
fi
cd /opt/opa/src/MPI
cd /usr/lib/opa/src/MPI
if [ $? != 0 ]
then
echo "Unable to cd to /opt/opa/src/MPI" >&2
echo "Unable to cd to /usr/lib/opa/src/MPI" >&2
exit 1
fi
......
......@@ -72,7 +72,7 @@ CheckPreReqs()
if [ $e -eq 0 ]; then
echo
fi
echo "ERROR: Before re-compiling OpenMPI you must first install the ${PREREQ[$i]} package." >&2
echo "ERROR: Before re-compiling mvapich2 you must first install the ${PREREQ[$i]} package." >&2
e+=1;
fi
i=$((i+1))
......@@ -116,7 +116,7 @@ Usage()
echo " Default is '/'" >&2
echo "" >&2
echo "The RPMs built during this process will be installed on this system" >&2
echo "they can also be found in /opt/opa/src/MPI" >&2
echo "they can also be found in /usr/lib/opa/src/MPI" >&2
exit 2
}
......@@ -208,10 +208,10 @@ then
fi
if [ "$iflag" = n ]
then
cd /opt/opa/src/MPI
cd /usr/lib/opa/src/MPI
if [ $? != 0 ]
then
echo "ERROR: Unable to cd to /opt/opa/src/MPI" >&2
echo "ERROR: Unable to cd to /usr/lib/opa/src/MPI" >&2
exit 1
fi
fi
......@@ -284,7 +284,7 @@ then
choices+=("ts-psm")
PS3="Select MVAPICH2 Implementation (ts-psm recommended): "
fi
if rpm -qa|grep hfi1-psm >/dev/null 2>&1
if rpm -qa|grep libpsm2 >/dev/null 2>&1
then
choices+=("opa-psm")
PS3="Select MVAPICH2 Implementation (opa-psm recommended): "
......@@ -334,7 +334,7 @@ case $interface in
# PSM indicated by qlc suffix so user can ID PSM vs verbs MPIs
mvapich2_path_suffix="-hfi"
mvapich2_rpm_suffix="_hfi"
PREREQ+=("hfi1-psm")
PREREQ+=("libpsm2")
else
# PSM indicated by qlc suffix so user can ID PSM vs verbs MPIs
mvapich2_path_suffix="-qlc"
......@@ -413,11 +413,11 @@ logfile=make.mvapich2.$interface.$compiler
BUILD_DIR=${BUILD_DIR:-/var/tmp/Intel-mvapich2}
BUILD_ROOT="$BUILD_DIR/build";
RPM_DIR="$BUILD_DIR/OFEDRPMS";
DESTDIR=/opt/opa/src/MPI
DESTDIR=/usr/lib/opa/src/MPI
if [ "$iflag" = n ]
then
mvapich2_srpm=/opt/opa/src/MPI/mvapich2-*.src.rpm
mpitests_srpm=/opt/opa/src/MPI/mpitests-*.src.rpm
mvapich2_srpm=/usr/lib/opa/src/MPI/mvapich2-*.src.rpm
mpitests_srpm=/usr/lib/opa/src/MPI/mpitests-*.src.rpm
else
mvapich2_srpm=./SRPMS/mvapich2-*.src.rpm
mpitests_srpm=./SRPMS/mpitests-*.src.rpm
......@@ -456,10 +456,10 @@ logfile=make.mvapich2.$interface.$compiler
echo "=========================================================="
if [ "$iflag" = n ]
then
echo "MPICH_PREFIX='$MPICH_PREFIX'"> /opt/opa/src/MPI/.mpiinfo
#echo "MPI_RUNTIME='$MPICH_PREFIX/bin $MPICH_PREFIX/lib $MPICH_PREFIX/tests'">> /opt/opa/src/MPI/.mpiinfo
echo "MPI_RPMS='mvapich2_$compiler$mvapich2_rpm_suffix-$mvapich2_fullversion.$target_cpu.rpm mpitests_mvapich2_$compiler$mvapich2_rpm_suffix-$mpitests_fullversion.$target_cpu.rpm'">> /opt/opa/src/MPI/.mpiinfo
chmod +x /opt/opa/src/MPI/.mpiinfo
echo "MPICH_PREFIX='$MPICH_PREFIX'"> /usr/lib/opa/src/MPI/.mpiinfo
#echo "MPI_RUNTIME='$MPICH_PREFIX/bin $MPICH_PREFIX/lib $MPICH_PREFIX/tests'">> /usr/lib/opa/src/MPI/.mpiinfo
echo "MPI_RPMS='mvapich2_$compiler$mvapich2_rpm_suffix-$mvapich2_fullversion.$target_cpu.rpm mpitests_mvapich2_$compiler$mvapich2_rpm_suffix-$mpitests_fullversion.$target_cpu.rpm'">> /usr/lib/opa/src/MPI/.mpiinfo
chmod +x /usr/lib/opa/src/MPI/.mpiinfo
fi
echo
......
......@@ -116,7 +116,7 @@ Usage()
echo " Default is '/'" >&2
echo "" >&2
echo "The RPMs built during this process will be installed on this system" >&2
echo "they can also be found in /opt/opa/src/MPI" >&2
echo "they can also be found in /usr/lib/opa/src/MPI" >&2
exit 2
}
......@@ -205,10 +205,10 @@ then
fi
if [ "$iflag" = n ]
then
cd /opt/opa/src/MPI
cd /usr/lib/opa/src/MPI
if [ $? != 0 ]
then
echo "ERROR: Unable to cd to /opt/opa/src/MPI" >&2
echo "ERROR: Unable to cd to /usr/lib/opa/src/MPI" >&2
exit 1
fi
fi
......@@ -282,7 +282,7 @@ fi
if [ "$skip_prompt" != y -a "$Oflag" != y -a "$Qflag" != y ]
then
if rpm -qa|grep hfi1-psm >/dev/null 2>&1
if rpm -qa|grep libpsm2 >/dev/null 2>&1
then
echo
get_yes_no "Build for Omnipath HFI PSM" "y"
......@@ -304,7 +304,7 @@ then
interface=psm
elif [ "$Oflag" = y ]
then
PREREQ+=('hfi1-psm')
PREREQ+=('libpsm2')
openmpi_conf_psm='--with-psm=/usr --with-psm2=/usr --disable-oshmem'
# PSM indicated by qlc suffix so user can ID PSM vs verbs MPIs
......@@ -350,11 +350,11 @@ logfile=make.openmpi.$interface.$compiler
BUILD_DIR=${BUILD_DIR:-/var/tmp/Intel-openmpi}
BUILD_ROOT="$BUILD_DIR/build";
RPM_DIR="$BUILD_DIR/OFEDRPMS";
DESTDIR=/opt/opa/src/MPI
DESTDIR=/usr/lib/opa/src/MPI
if [ "$iflag" = n ]
then
openmpi_srpm=/opt/opa/src/MPI/openmpi-*.src.rpm
mpitests_srpm=/opt/opa/src/MPI/mpitests-*.src.rpm
openmpi_srpm=/usr/lib/opa/src/MPI/openmpi-*.src.rpm